# Generated from jsTimezoneDetect-rails-1.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jsTimezoneDetect-rails

Name: rubygem-%{gem_name}
Version: 1.0.6
Release: 1%{?dist}
Summary: The jsTimezoneDetect.js library ready for Rails' asset pipeline
License: MIT
URL: https://github.com/AlexVPopov/jsTimezoneDetect-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
This script gives you the zone info key representing your device's time
zone setting.
The return value is an IANA zone info key (aka the Olson time zone database).
This gem allows for its easy inclusion into the rails asset pipeline.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.6-1
- Initial package
